Package: org.gradle.api.artifacts.result

## [Java] Interface ArtifactResolutionResult

- The result of executing an artifact resolution query.

  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Set<ComponentResult>` | `getComponents()`
    `Set<ComponentArtifactsResult>` | `getResolvedComponents()`

- - ### Method Detail

    - #### public Set<ComponentResult> getComponents()

      Return a set of ComponentResults representing all requested components.

      Each element in the returned set is declared as an opaque ComponentResult. However each element in the result will also implement one of the following interfaces:

      - ComponentArtifactsResult for any component whose ID could be resolved in the set of repositories.
      - UnresolvedComponentResult for any component whose ID could not be resolved from the set of repositories.
      Returns:
        the set of results for all requested components

    - #### public Set<ComponentArtifactsResult> getResolvedComponents()

      Return a set of ComponentResults representing all successfully resolved components.

      Calling this method is the same as calling getComponents() and filtering the resulting set for elements of type ComponentArtifactsResult.

      Returns:
        the set of all successfully resolved components